cpw.mods.fml.client.config

## Class GuiSelectStringEntries

- java.lang.Object
- - net.minecraft.client.gui.GuiSlot
  - - net.minecraft.client.gui.GuiListExtended
    - - cpw.mods.fml.client.config.GuiSelectStringEntries

-     public class GuiSelectStringEntries
      extends GuiListExtended

  This class implements the scrolling list functionality of the GuiSelectString screen.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GuiSelectStringEntries.EntryComparator`
    `static interface` | `GuiSelectStringEntries.IGuiSelectStringListEntry`
    `static class` | `GuiSelectStringEntries.ListEntry`

    - ### Nested classes/interfaces inherited from class net.minecraft.client.gui.GuiListExtended

      `GuiListExtended.IGuiListEntry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IConfigElement` | `configElement`
    `java.util.List<GuiSelectStringEntries.IGuiSelectStringListEntry>` | `listEntries`
    `int` | `maxEntryWidth`
    `Minecraft` | `mc`
    `GuiSelectString` | `owningScreen`
    `java.util.Map<java.lang.Object,java.lang.String>` | `selectableValues`
    `int` | `selectedIndex`

    - ### Fields inherited from class net.minecraft.client.gui.GuiSlot

      `bottom, field_148163_i, headerPadding, height, left, mouseX, mouseY, right, slotHeight, top, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiSelectStringEntries(GuiSelectString owningScreen, Minecraft mc, IConfigElement configElement, java.util.Map<java.lang.Object,java.lang.String> selectableValues)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `elementClicked(int index, boolean doubleClick, int mouseX, int mouseY)` The element in the slot that was clicked, boolean for whether it was double clicked or not
    `GuiSelectStringEntries.IGuiSelectStringListEntry` | `getListEntry(int index)`
    `int` | `getListWidth()` Gets the width of the list
    `protected int` | `getScrollBarX()`
    `protected int` | `getSize()`
    `boolean` | `isChanged()`
    `boolean` | `isDefault()`
    `protected boolean` | `isSelected(int index)` Returns true if the element passed in is currently selected
    `void` | `saveChanges()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiListExtended

      `drawBackground, drawSlot, func_148179_a, func_148181_b`

    - ### Methods inherited from class net.minecraft.client.gui.GuiSlot

      `actionPerformed, drawContainerBackground, drawListHeader, drawScreen, drawSelectionBox, func_148122_a, func_148124_c, func_148125_i, func_148132_a, func_148135_f, func_148141_e, func_148142_b, func_148143_b, getAmountScrolled, getContentHeight, getSlotHeight, registerScrollButtons, scrollBy, setHasListHeader, setShowSelectionBox, setSlotXBoundsFromLeft`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### owningScreen

          public GuiSelectString owningScreen

    - #### mc

          public Minecraft mc

    - #### configElement

          public IConfigElement configElement

    - #### listEntries

          public java.util.List<GuiSelectStringEntries.IGuiSelectStringListEntry> listEntries

    - #### selectableValues

          public final java.util.Map<java.lang.Object,java.lang.String> selectableValues

    - #### selectedIndex

          public int selectedIndex

    - #### maxEntryWidth

          public int maxEntryWidth

  - ### Constructor Detail

    - #### GuiSelectStringEntries

          public GuiSelectStringEntries(GuiSelectString owningScreen,
                                Minecraft mc,
                                IConfigElement configElement,
                                java.util.Map<java.lang.Object,java.lang.String> selectableValues)

  - ### Method Detail

    - #### elementClicked

          protected void elementClicked(int index,
                            boolean doubleClick,
                            int mouseX,
                            int mouseY)

      The element in the slot that was clicked, boolean for whether it was double clicked or not
      Overrides:
        `elementClicked` in class `GuiListExtended`

    - #### isSelected

          protected boolean isSelected(int index)

      Returns true if the element passed in is currently selected
      Overrides:
        `isSelected` in class `GuiListExtended`

    - #### getScrollBarX

          protected int getScrollBarX()

      Overrides:
        `getScrollBarX` in class `GuiSlot`

    - #### getListWidth

          public int getListWidth()

      Gets the width of the list
      Overrides:
        `getListWidth` in class `GuiSlot`

    - #### getListEntry

          public GuiSelectStringEntries.IGuiSelectStringListEntry getListEntry(int index)

      Specified by:
        `getListEntry` in class `GuiListExtended`

    - #### getSize

          protected int getSize()

      Specified by:
        `getSize` in class `GuiSlot`

    - #### isChanged

          public boolean isChanged()

    - #### isDefault

          public boolean isDefault()

    - #### saveChanges

          public void saveChanges()